# class TDEABC.NameSortMode

#### PyKDE - Python Bindings for KDE

# class TDEABC.NameSortMode

Table of contents
Modules
tdeabc Classes
All Classes

Module | tdeabc
Class | TDEABC.NameSortMode
Inherits | TDEABC.SortMode

### enums

- NameType = {FormattedName, FamilyName, GivenName }

### methods

- NameSortMode ()

  returns a NameSortMode instance
  In versions KDE 3.4.0 and above only

- NameSortMode (type, ascending = 1)

  returns a NameSortMode instance
  In versions KDE 3.4.0 and above only

  Argument | Type | Default
  --- | --- | ---
  type | TDEABC.NameSortMode.NameType |
  ascending | bool | 1

- lesser (a0, a1)

  returns (bool)
  In versions KDE 3.4.0 and above only

  Argument | Type | Default
  --- | --- | ---
  a0 | TDEABC.Addressee |
  a1 | TDEABC.Addressee |